/* PRODUCT DETAIL */

.product-detail .container {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
}

.product-detail__photos {
  width: 58%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 2px;
  overflow: hidden;
  position: relative;
}
.product-detail__content {
  width: calc(42% - 24px);
  padding-top: 24px;
  padding-left: 24px;
  position: relative;
}
.product-detail__content .sku {
  font-size: 16px;
  color: var(--label-color);
}
.product-detail__photo {
  width: calc(50% - 1px);
  position: relative;
  overflow: hidden;
}
.product-detail__photo:before {
  content: "";
  padding-top: 125%;
  display: block;
}
.product-detail__photo img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.product-detail__photo video {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.product-detail .breadcrumbs .container {
  padding: 0;
}
.product-detail .breadcrumbs ul {
  padding: 0;
}

.product-detail__content .rating {
  gap: 2px;
}
.product-detail__content .rating img {
  width: 16px;
}
.product-detail__content .rating .count {
  display: none;
}
.product-detail__content .count-reviews {
  color: #69737c;
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
}
.product-detail__content .stock {
  padding: 2px 12px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  background-color: var(--text-color-black);
  color: #fff;
}

.product-detail__content-prices .price {
  font-weight: 500;
  font-size: 24px;
  line-height: 34px;
}
.product-detail__content-prices .old {
  color: #69737c;
  opacity: 0.5;
}

.variations-title {
  font-size: 14px;
  line-height: 22px;
  text-transform: uppercase;
  color: var(--text-color-black);
}
.variations-list {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
}

.variations-list a,
.variations-list span {
  padding: 5px 15px;
  border: 1px solid #d9d9d9;

  font-size: 16px;
  line-height: 24px;
  text-align: center;
  color: rgba(105, 115, 124, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 40px;
}
.variations-list a.active ,
.variations-list span.active {
  color: #15161a;
  border-color: #15161a;
}

.product-detail__content .custom-select-popover {
  max-width: 400px;
}

.size-box__header-label {
  font-size: 14px;
  line-height: 22px;
  text-transform: uppercase;
  color: var(--text-color-black);
}

.size-box__header .button-text{
  cursor: pointer;
}

.product-detail__content-buttons {
  display: flex;
  align-items: flex-start;
  gap: 12px;
}
.product-detail__content-buttons > *:first-of-type {
  flex: auto;
}
.product-detail__content-buttons .icon {
  padding: 10px;
}
.product-detail__content-buttons .icon svg {
  width: 40px;
  height: 40px;
}
.sticky-content {
  position: relative;
  padding-bottom: 50px;
}
.sticky-content.is-sticky {
  position: sticky;
}

.pd__content-banner {
  padding: 20px 170px 20px 20px;
  background-size: cover;
  background-position: right center;
  background-color: #000000;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.pd__content-banner__title {
  color: #fff;
  font-weight: 600;
}
.pd__content-banner__text {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #fff;
}

.pd__content-banner.black .pd__content-banner__title,
.pd__content-banner.black .pd__content-banner__text {
  color: var(--text-color-black);
}

.pd__advantages {
  display: flex;
  align-items: center;
  gap: 8px;
  justify-content: space-between;
}
.pd__advantages-item {
  display: flex;
  align-items: center;
  gap: 12px;
  flex: auto;
}
.pd__advantages-icon {
  font-size: 0;
}
.pd__advantages-icon img {
  width: 32px;
  height: 32px;
}

.pd__advantages-text {
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}

.more-offer {
  overflow: hidden;
  padding: 24px 16px;
  background-color: #f6f7f9;
}

.more-offer__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 24px;
}

.more-offer__group {
  display: flex;
  gap: 8px;
}

.more-offer__group .button {
  width: 32px;
  height: 32px;
  position: relative;
  top: 0;
  transform: translate(0);
  left: auto;
  right: auto;
  margin-top: 0;
}

.more-offer .swiper-button-prev,
.more-offer .swiper-button-next {
  background: none;
}

.more-offer .product-cards__title {
  font-size: 14px;
  line-height: 22px;
  letter-spacing: 0;
  margin-bottom: 2px;
}
.more-offer .product-cards__prices {
  gap: 6px;
}
.more-offer .product-cards__prices .price {
  font-size: 14px;
  line-height: 22px;
}
.more-offer .product-card__inner-slider {
  margin-bottom: 8px;
}
.more-offer .product-card__inner-slider .swiper-button-prev {
  transform: rotate(180deg);
}
.more-offer__slider {
  overflow: hidden;
}

/* accordeon */
.accordeon {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.accordeon-item {
  padding-bottom: 14px;
  transition: all 0.4s ease;
  border-bottom: 1px solid #d9d9d9;
}
.accordeon-item.active {
  padding-bottom: 0;
}
.accordeon-item__header {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-transform: uppercase;
  position: relative;
  color: var(--text-color-black);
  cursor: pointer;
  padding-bottom: 10px;
}
.accordeon-item__header::after {
  content: "";
  position: absolute;
  right: 0;
  top: 50%;
  width: 16px;
  height: 16px;
  background: url("../img/icons/caret-down-black.svg") center no-repeat;
  background-size: 16px;
  margin-top: -8px;
}

.accordeon-item.active .accordeon-item__header::after {
  transform: rotate(-180deg);
}
.accordeon-item__content {
  display: none;
}
.accordeon-item__inner {
  padding: 24px 0;
  display: flex;
  gap: 16px;
  flex-direction: column;
}

.accordeon-item__content p {
  display: block;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}
.accordeon-item__content b {
  font-weight: 600;
}
.accordeon-item__content li {
  list-style: square;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
  list-style-position: inside;
}
.accordeon-item__content ul {
  display: flex;
  gap: 8px;
  flex-direction: column;
}

.rating {
  position: relative;
  display: inline-flex;
  line-height: 1;
  gap: 4px;
  align-items: center;
}

.rating > span {
  display: inline-block;
}

.rating .rl-row {
  position: absolute;
  top: 0;
  left: 0;
  white-space: nowrap;
  overflow: hidden;
  /* ширина рахуватиметься від JS */
  width: 0;
}

.rating .rl-row.active span {
  display: inline-block;
}

.rating img {
  width: 18px;
  height: auto;
}

.product-sticky {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  transform: translateY(100%);
  opacity: 0;
  visibility: 0;
  transition: all 0.4s;
  padding: 12px 24px;
  background-color: #fff;
  display: flex;
  z-index: 50;
  align-items: center;
  border-top: 1px solid #d9d9d9;
}
.product-sticky.active {
  transform: translateY(0%);
  opacity: 1;
  visibility: visible;
}

.product-sticky__price {
  display: flex;
  align-items: baseline;
  gap: 12px;
}
.product-sticky__price .price {
  font-weight: 500;
  font-size: 24px;
  line-height: 34px;
  color: var(--text-color-black);
}
.product-sticky__price .old {
  color: #69737c;
  opacity: 0.5;
  text-decoration: line-through;
}
.product-sticky .content {
  flex: auto;
  justify-content: space-between;
  padding-right: 32px;
}
.product-sticky .button-contained {
  width: 100%;
  max-width: 300px;
}

.product-detail__content-prices .old {
  text-decoration: line-through;
}

@media (min-width: 1024px) {
  .review-item__time-mobile,
  .product-detail__thumbs {
    display: none;
  }
  .variations-list a:hover {
    color: #15161a;
    border-color: #15161a;
  }
  .product-detail__photos .swiper-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 2px;
    align-content: flex-start;
  }
  .product-detail__photos .swiper-slide {
    height: auto;
    width: calc(50% - 1px);
  }

  .product-detail__photos .swiper-pagination {
    display: none;
  }
}

@media (max-width: 1023px) {
  .product-detail__thumbs {
    display: block;
    position: absolute;
    left: 20px;
    max-width: 232px;
    bottom: 20px;
    overflow: hidden;
  }
  .product-detail__thumbs .swiper-slide {
    width: 52px !important;
    height: 2px;
    opacity: 0.2;
    background-color: #fff;
    transition: all 0.4s;
  }
  .product-detail__thumbs .swiper-slide-thumb-active {
    opacity: 1;
  }

  .product-detail__photos {
    width: 100%;
  }
  .product-detail .container {
    gap: 0;
  }
  .product-detail__content {
    padding: 16px 0;
    width: 100%;
  }
}

@media (max-width: 768px) {
  .product-sticky {
    text-align: center;
    padding: 16px 20px;
    flex-wrap: wrap;
  }

  .product-sticky__title {
    width: 100%;
  }
  .product-sticky__price {
    justify-content: center;
    width: 100%;
  }

  .product-sticky__price .price {
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
  }

  .product-sticky .content {
    padding-right: 0;
    width: 100%;
    flex-wrap: wrap;
    margin-bottom: 16px;
  }
  .product-sticky .button-contained {
    max-width: 100%;
  }
}

/* @media (max-width: 550px) {
  .product-detail__photos {
    width: calc(100% + 40px);
    margin: 0 -20px;
  }
  .product-detail .breadcrumbs {
    margin-bottom: -8px;
  }
  .product-detail__content-prices .price {
    font-size: 20px;
    font-weight: 400;
  }
  .product-detail__content-prices {
    gap: 8px;
  }
  .pd__advantages {
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
  }
  .more-offer {
    width: calc(100% + 40px);
    margin: 0 -20px;
    gap: 10px;
    padding-right: 0;
    padding-left: 0;
  }
  .more-offer__header {
    padding: 0 20px;
  }
  .more-offer__group {
    display: none;
  }
  .more-offer__slider {
    padding: 0 20px;
  }
  .pd__content-banner {
    padding-right: 30%;
  }
} */

@media (max-width: 550px) {
  .product-detail__content .sku {
    font-size: 14px;
  }

  .product-detail__photos {
    width: calc(100% + 40px);
    margin: 0 -20px;
  }
  .product-detail .breadcrumbs {
    margin-bottom: -8px;
  }
  .product-detail__content-prices .price {
    font-size: 20px;
    font-weight: 400;
  }
  .product-detail__content-prices {
    gap: 8px;
  }
  .product-detail__content .pd__advantages {
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    display: flex;
  }
  .product-detail__content .product-detail__content-buttons .wishlist-btn {
    min-height: 54px !important;
    min-width: 45px !important;
    width: 52px !important;
    height: 54px !important;
    margin: 0 !important;
    max-width: 54px !important;
  }
  .product-detail__content-buttons
    .hulk_wl_icon-text
    .icon-wishlist-heart-empty {
    font-size: 32px !important;
  }
  .more-offer {
    width: calc(100% + 40px);
    margin: 0 -20px;
    gap: 10px;
    padding-right: 0;
    padding-left: 0;
  }
  .more-offer__header {
    padding: 0 20px;
  }
  .more-offer__group {
    display: none;
  }
  .more-offer__slider {
    padding: 0 20px;
  }
  .pd__content-banner {
    padding-right: 30%;
  }
}

@media (max-width: 650px) {
  .more-offer .product-cards__title {
    font-size: 12px;
    line-height: 1.5;
  }

  .product-sticky {
    padding: 12px 24px;
  }
  .product-detail__content-prices .price {
    font-size: 16px;
  }
}

.contact-us {
  background: #fff;
  padding: 48px 0px;
}

.contact-us__info {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
}

.contact-us__title {
  color: #15161a;
  font-size: 24px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0.24px;
  text-transform: uppercase;
}

.contact-us__info .telegram-btn {
  height: 56px;
}

.contact-us__info .telegram-btn:before,
.contact-us__info .telegram-btn:after {
  background: #fff;
}

@media (max-width: 1200px) {
  .contact-us .telegram-btn {
    padding: 20px 24px;
  }
}

@media (max-width: 767px) {
  .contact-us__info {
    flex-direction: column;
  }

  .contact-us__title {
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.16px;
  }
}
